Name:		clamtk
Version:	6.18
Release:	%mkrel 1
Summary:	Easy to use front-end for ClamAV
License:	Artistic
Group:		File tools
URL:		https://gitlab.com/dave_m/clamtk/wikis/Home
Source0:	https://github.com/dave-theunsub/clamtk/releases/download/v%{version}/%{name}-%{version}.tar.xz
Patch1:		clamtk-5.07-fix-UTF-8-decoding.patch
BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
Requires:	perl(File::Find::Rule)
Requires:	perl(Date::Calc)
Requires:	perl(LWP)
Requires:	clamav >= 0.90
Requires:	clamav-db
Requires:	adwaita-icon-theme
Recommends:	yelp

%description
ClamTk is a GUI front-end for ClamAV using Gtk2-perl.
It is designed to be an easy-to-use, point and click
virus scanner for Linux systems.

%prep
%setup -q
%autopatch -p1

%build
#nothing

%install
install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m0644 images/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m0644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz
install -D -m0644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -d %{buildroot}%{perl_vendorlib}/ClamTk
install -m0644 lib/*.pm %{buildroot}%{perl_vendorlib}/ClamTk

for n in po/*.mo ; do
	%{__install} -D -m0644 $n %{buildroot}%{_datadir}/locale/`basename $n .mo`/LC_MESSAGES/%{name}.mo
done

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc CHANGES README.md
%license LICENSE
%{_bindir}/%{name}
%{perl_vendorlib}/ClamTk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue Aug 20 2024 mrambo3501 <mrambo3501> 6.18-1.mga10
+ Revision: 2087181
- version 6.18
- rediff patch1
- adjust files list
+ danf <danf>
- Update source URL

* Sat Mar 26 2022 umeabot <umeabot> 6.14-2.mga9
+ Revision: 1828425
- Mageia 9 Mass Rebuild

* Fri Jan 14 2022 mrambo3501 <mrambo3501> 6.14-1.mga9
+ Revision: 1768306
- version 6.14

* Wed Sep 23 2020 shlomif <shlomif> 6.06-1.mga8
+ Revision: 1629470
- New version 6.06

* Tue Aug 25 2020 shlomif <shlomif> 6.05-1.mga8
+ Revision: 1618899
- New version 6.05

* Sun Apr 26 2020 shlomif <shlomif> 6.03-1.mga8
+ Revision: 1572307
- New version 6.03

* Tue Feb 18 2020 umeabot <umeabot> 6.02-2.mga8
+ Revision: 1539284
- Mageia 8 Mass Rebuild

* Thu Dec 05 2019 shlomif <shlomif> 6.02-1.mga8
+ Revision: 1464533
- New version 6.02

* Sat Jun 29 2019 wally <wally> 6.01-3.mga8
+ Revision: 1415919
- update deprecated icon patch to fix ok and cancel in dialogs

* Sat Jun 29 2019 wally <wally> 6.01-2.mga8
+ Revision: 1415406
- readd and rediff incorrectly removed deprecated icons fix
- drop unneeded gtk2 requires

* Tue Apr 09 2019 shlomif <shlomif> 6.01-1.mga7
+ Revision: 1387380
- New version 6.01

* Fri Mar 15 2019 shlomif <shlomif> 6.00-1.mga7
+ Revision: 1377645
- New version 6.00 - thanks to fedora

* Thu Nov 22 2018 shlomif <shlomif> 5.26-1.mga7
+ Revision: 1333238
- New version 5.26

* Thu Sep 20 2018 umeabot <umeabot> 5.25-2.mga7
+ Revision: 1277804
- Mageia 7 Mass Rebuild

* Wed Nov 08 2017 wally <wally> 5.25-1.mga7
+ Revision: 1176558
- new version 5.25

* Wed Nov 08 2017 wally <wally> 5.24-4.mga7
+ Revision: 1176553
- drop unneeded requires for oxygen-gtk
- update deprecated icons patch to fallback to Adwaita icons

* Thu Oct 26 2017 mjack <mjack> 5.24-3.mga7
+ Revision: 1173787
- require oxygen-gtk (mga#14505)

* Sun Aug 27 2017 daviddavid <daviddavid> 5.24-2.mga7
+ Revision: 1148353
- fix for new find_lang

* Mon Jul 17 2017 shlomif <shlomif> 5.24-1.mga7
+ Revision: 1124275
- New version 5.24

* Sat Jun 18 2016 pterjan <pterjan> 5.20-3.mga6
+ Revision: 1022103
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 5.20-2.mga6
+ Revision: 969895
- Mageia 6 Mass Rebuild

* Sat Sep 19 2015 daviddavid <daviddavid> 5.20-1.mga6
+ Revision: 881280
- new version: 5.20
- introduce license macro

* Sun Jul 26 2015 daviddavid <daviddavid> 5.19-1.mga6
+ Revision: 858127
- new version: 5.19

* Sat Nov 15 2014 wally <wally> 5.11-1.mga5
+ Revision: 797319
- new version 5.11
- redo icons patch

* Sat Nov 15 2014 wally <wally> 5.07-5.mga5
+ Revision: 797315
- add patch to fix UTF-8 decoding issues in translations

* Sat Nov 15 2014 wally <wally> 5.07-4.mga5
+ Revision: 797311
- add patch to fix deprecated icon names (mga#14505)

* Wed Oct 15 2014 umeabot <umeabot> 5.07-3.mga5
+ Revision: 742001
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.07-2.mga5
+ Revision: 678409
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Jul 02 2014 dams <dams> 5.07-1.mga5
+ Revision: 642041
- new version 5.07
+ wally <wally>
- require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Mon Mar 17 2014 dams <dams> 5.05-1.mga5
+ Revision: 604449
- new version 5.05

* Mon Feb 17 2014 dams <dams> 5.04-1.mga5
+ Revision: 593703
- new version 5.04

* Tue Feb 04 2014 dams <dams> 5.03-1.mga5
+ Revision: 580667
- new version 5.03

* Thu Nov 28 2013 dams <dams> 5.01-1.mga4
+ Revision: 553859
- new version 0.5.1
- add 'gnome-icon-theme' as a require

* Wed Nov 20 2013 dams <dams> 5.00-1.mga4
+ Revision: 552011
- new version 5.00

* Sat Oct 19 2013 umeabot <umeabot> 4.45-2.mga4
+ Revision: 530090
- Mageia 4 Mass Rebuild

* Thu Jul 18 2013 dams <dams> 4.45-1.mga4
+ Revision: 455406
- new version 4.45

* Fri Jan 11 2013 umeabot <umeabot> 4.44-2.mga3
+ Revision: 347818
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 dams <dams> 4.44-1.mga3
+ Revision: 335221
- new version 4.44

* Thu Dec 06 2012 dams <dams> 4.43-2.mga3
+ Revision: 327431
- remove 'gnomesu' as a require as requested on mga#7068

* Thu Dec 06 2012 dams <dams> 4.43-1.mga3
+ Revision: 327321
- new version 4.43

* Mon Nov 12 2012 dams <dams> 4.42-1.mga3
+ Revision: 317192
- new version 4.42

* Mon Jun 11 2012 dams <dams> 4.41-1.mga3
+ Revision: 259723
- new version 4.41

* Fri Jun 01 2012 dams <dams> 4.40-1.mga3
+ Revision: 252617
- new version 4.40

* Sat Mar 03 2012 dams <dams> 4.37-1.mga2
+ Revision: 217407
- new version 4.37
- clean spec file

* Mon Nov 07 2011 dlucio <dlucio> 4.36-1.mga2
+ Revision: 165135
- 4.36

* Mon Sep 12 2011 fwang <fwang> 4.35-1.mga2
+ Revision: 142569
- new version 4.35

* Wed Sep 07 2011 tv <tv> 4.34-1.mga2
+ Revision: 140242
- new release

* Thu Jun 30 2011 ahmad <ahmad> 4.33-1.mga2
+ Revision: 116264
- Update to 4.33

* Tue Apr 12 2011 ennael <ennael> 4.31-1.mga1
+ Revision: 83629
- clean spec file
- imported package clamtk


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.31-1mdv2011.0
+ Revision: 632809
- update to new version 4.31

* Sat Nov 27 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.30-1mdv2011.0
+ Revision: 601905
- update to new version 4.30

* Sun Oct 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.29-1mdv2011.0
+ Revision: 582706
- update to new version 4.29

* Wed Aug 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.28-1mdv2011.0
+ Revision: 571225
- update to new version 4.28

* Sun Jul 11 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.27-1mdv2011.0
+ Revision: 550915
- update to new version 4.27

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.26-1mdv2010.1
+ Revision: 543255
- update to new version 4.26

* Sun Mar 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 4.25-2mdv2010.1
+ Revision: 528299
- fix .desktop file

* Mon Mar 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 4.25-1mdv2010.1
+ Revision: 516292
- update to 4.25

* Mon Mar 01 2010 Frederik Himpe <fhimpe@mandriva.org> 4.24-1mdv2010.1
+ Revision: 513065
- update to new version 4.24

* Wed Jan 20 2010 Frederik Himpe <fhimpe@mandriva.org> 4.23-1mdv2010.1
+ Revision: 494125
- update to new version 4.23

* Sun Dec 27 2009 Frederik Himpe <fhimpe@mandriva.org> 4.22-1mdv2010.1
+ Revision: 482695
- update to new version 4.22

* Sun Dec 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.21-1mdv2010.1
+ Revision: 474133
- update to new version 4.21
- correct url for Source0

* Wed Nov 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.20-2mdv2010.1
+ Revision: 464846
- fix installation directory (mdvbz #54792)

* Sat Nov 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.20-1mdv2010.1
+ Revision: 462261
- update to new version 4.20

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 4.18-1mdv2010.0
+ Revision: 444861
- update to new version 4.18

* Sat Aug 08 2009 Frederik Himpe <fhimpe@mandriva.org> 4.17-1mdv2010.0
+ Revision: 411799
- update to new version 4.17

* Sat Jul 11 2009 Frederik Himpe <fhimpe@mandriva.org> 4.16-1mdv2010.0
+ Revision: 394896
- update to new version 4.16

* Sun Jun 21 2009 Frederik Himpe <fhimpe@mandriva.org> 4.15-1mdv2010.0
+ Revision: 387568
- update to new version 4.15

* Sat Jun 13 2009 Frederik Himpe <fhimpe@mandriva.org> 4.14-1mdv2010.0
+ Revision: 385755
- update to new version 4.14

* Tue May 26 2009 Frederik Himpe <fhimpe@mandriva.org> 4.13-1mdv2010.0
+ Revision: 379969
- update to new version 4.13

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 4.12-1mdv2010.0
+ Revision: 369684
- update to new version 4.12

* Sun Mar 22 2009 Frederik Himpe <fhimpe@mandriva.org> 4.11-1mdv2009.1
+ Revision: 360405
- update to new version 4.11

* Wed Feb 18 2009 Frederik Himpe <fhimpe@mandriva.org> 4.10-1mdv2009.1
+ Revision: 342617
- Update to new version 4.10

* Sun Feb 15 2009 Funda Wang <fwang@mandriva.org> 4.09-1mdv2009.1
+ Revision: 340610
- New version 4.09

* Sun Dec 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.08-1mdv2009.1
+ Revision: 320421
- update to new version 4.08

* Sat Dec 20 2008 Funda Wang <fwang@mandriva.org> 4.07-1mdv2009.1
+ Revision: 316480
- update to new version 4.07

* Sun Dec 07 2008 Funda Wang <fwang@mandriva.org> 4.06-1mdv2009.1
+ Revision: 311636
- new version 4.06

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 4.05-1mdv2009.1
+ Revision: 307455
- update to new version 4.05

* Sun Nov 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.04-1mdv2009.1
+ Revision: 303833
- update to new version 4.04

* Tue Nov 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.03-1mdv2009.1
+ Revision: 302115
- update to new version 4.03

* Mon Oct 27 2008 Funda Wang <fwang@mandriva.org> 4.02-2mdv2009.1
+ Revision: 297525
- install pm files
- update to new version 4.02

* Mon Oct 20 2008 Funda Wang <fwang@mandriva.org> 4.01-1mdv2009.1
+ Revision: 295472
- New version 4.01

* Mon Oct 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.00-1mdv2009.1
+ Revision: 293414
- update to new version 4.00

* Thu Aug 28 2008 Funda Wang <fwang@mandriva.org> 3.11-1mdv2009.0
+ Revision: 276771
- update to new version 3.11

* Sun Jun 15 2008 Funda Wang <fwang@mandriva.org> 3.10-1mdv2009.0
+ Revision: 219268
- update to new version 3.10

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.09-1mdv2009.0
+ Revision: 211216
- update to new version 3.09

* Wed Feb 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.08-1mdv2008.1
+ Revision: 162906
- new version

* Sun Jan 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.07-1mdv
+ Revision: 155286
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.06-1mdv2008.1
+ Revision: 139734
- drop patch 0, use desktop-file-utils instead of
- move icon to pixmap dir
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fwang@mandriva.org> 3.05-1mdv2008.1
+ Revision: 120548
- New version 3.05

* Wed Oct 10 2007 Jérôme Soyer <saispo@mandriva.org> 3.04-1mdv2008.1
+ Revision: 96789
- Add .desktop file
- Fix .desktop
- Add files
- New release 3.04

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

* Fri Aug 31 2007 Funda Wang <fwang@mandriva.org> 3.01-1mdv2008.0
+ Revision: 77152
- Drop useless BR
- New version 3.01

* Thu Aug 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.00-1mdv2008.0
+ Revision: 60953
- new version

* Mon Jun 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.99-1mdv2008.0
+ Revision: 44096
- vew version
- drop X-MandrivaLinux
- move icons to the fd.o compiliant directory
- add scriplets
- spec file clean

* Fri May 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.32-1mdv2008.0
+ Revision: 27748
- new version


* Sun Apr 01 2007 Jérôme Soyer <saispo@mandriva.org> 2.31-1mdv2007.1
+ Revision: 150140
- New release

* Mon Mar 12 2007 Jérôme Soyer <saispo@mandriva.org> 2.30-1mdv2007.1
+ Revision: 141673
- New release 2.30

* Tue Mar 06 2007 Jérôme Soyer <saispo@mandriva.org> 2.29-1mdv2007.1
+ Revision: 133565
- New release 2.29

* Sun Mar 04 2007 Jérôme Soyer <saispo@mandriva.org> 2.28-2mdv2007.1
+ Revision: 132601
- Rebuild for new clamav

* Wed Feb 28 2007 Jérôme Soyer <saispo@mandriva.org> 2.28-1mdv2007.1
+ Revision: 126948
- New release 2.28

* Thu Jan 18 2007 Jérôme Soyer <saispo@mandriva.org> 2.27-1mdv2007.1
+ Revision: 110179
- New release 2.27

* Mon Nov 27 2006 Jérôme Soyer <saispo@mandriva.org> 2.26-1mdv2007.1
+ Revision: 87476
- Add BuildRequires
- Add BuildRequires
- New release 2.26
- New release 2.24
- Import clamtk

* Mon Sep 04 2006 Jerome Soyer <saispo@mandriva.org> 2.23-3mdv2007.0
- Fix run menu

* Sun Sep 03 2006 Jerome Soyer <saispo@mandriva.rog> 2.23-2mdv2007.0
- Update .desktop
- Using Multilang

* Wed Aug 30 2006 Jerome Soyer <saispo@mandriva.org> 2.23-1mdv2007.0
- New release 2.23

* Mon Jul 31 2006 Jerome Soyer <saispo@mandriva.org> 2.22-1mdv2007.0
- New release 2.22

* Sun Jul 16 2006 Jerome Soyer <saispo@mandriva.org> 2.21-1mdv2007.0
- New release 2.21

* Thu Jun 22 2006 Jerome Soyer <saispo@mandriva.org> 2.20-1mdv2007.0
- New release 2.20
- XDG Menu Entry

* Wed May 17 2006 Jerome Soyer <saispo@mandriva.org> 2.19-1mdk
- New release 2.19

* Mon May 08 2006 Jerome Soyer <saispo@mandriva.org> 2.18-1mdk
- New release 2.18

* Mon Apr 24 2006 Jerome Soyer <saispo@mandriva.org> 2.17-1mdk
- New release 2.17

* Fri Apr 07 2006 Jerome Soyer <saispo@mandriva.org> 2.16-1mdk
- New release 2.16

* Thu Apr 06 2006 Jerome Soyer <saispo@mandriva.org> 2.15-1mdk
- First, thks to Steffen Van Roosbroeck for the initial spec
- rpmbuildupdate aware

